Summary:     Provides an easy to use C interface for several hashalgorithms
Name:        libmhash
Version:     0.8.18
Release:     7.pp
License:     LGPL
Group:       Development/Libraries
Source0:     http://twtelecom.dl.sourceforge.net/sourceforge/mhash/mhash-%{version}.tar.gz
URL:         http://mhash.sourceforge.net/
Buildroot:   /var/tmp/libmhash-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    libmhash.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
ExclusiveOS: linux

%description
Mhash is a thread-safe hash library implemented in C,
and provides a uniform interface to a large number of
hash algorithms (MD5, SHA-1, HAVAL, RIPEMD160, TIGER,
GOST). These algorithms can be used to compute checksums,
message digests, and other signatures. The HMAC support
implements the basics for message authentication, follo-
wing RFC 2104.


%package devel
Group:       Development/Libraries
Summary:     The development files for libmhash
Requires:    libmhash = %{version}-%{release} libmhash.pp
Provides:    libmhash-devel.pp

%description devel
The libmhash-devel package contains the development libraries and
header files for use with libmhash.


%prep
%setup -q -n mhash-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%doc %dir doc
/usr/lib/*.so.*

%files devel
%defattr(-,root,root)
/usr/lib/*.*a
/usr/lib/*.so
/usr/include/*
/usr/share/man/man3/*


%changelog
* Fri Sep 19 2003 peter.pramberger@1012surf.net
- man pages moved to /usr/share/man

* Mon Jun 02 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Wed May 07 2003 peter.pramberger@1012surf.net
- new version 0.8.18

* Sun Jan 12 2003 peter.pramberger@1012surf.net
- new version 0.8.17

* Sun Aug 18 2002 peter.pramberger@1012surf.net
- new version 0.8.16

* Mon Nov 12 2001 peter.pramberger@1012surf.net
- new version 0.8.12

* Sun Mar 11 2001 peter.pramberger@1012surf.net
- created

